<?php

namespace WilokeFilterCards\Widgets;

class RegistrationController
{
	public function __construct()
	{
		add_action('elementor/frontend/after_register_scripts', [$this, 'registerScripts']);
		add_action('elementor/frontend/after_register_styles', [$this, 'registerStyles']);
		add_action('elementor/widgets/register', [$this, 'registerWidgets']);
	}

	public function registerWidgets($oWidgetManager)
	{
		$oWidgetManager->register(new FilterCardsManuallyWidget());
		$oWidgetManager->register(new FilterCardTaxonomiesWidget());
		$oWidgetManager->register(new FilterCardPostsWidget());
	}

	public function registerScripts()
	{
		wp_register_script(
			WILOKE_FILTER_CARDS_ID,
			WILOKE_FILTER_CARDS_SOURCE_URL . 'script.js',
			['jquery'],
			WILOKE_FILTER_CARDS_VERSION,
			true
		);
	}

	public function registerStyles()
	{
		wp_register_style(
			WILOKE_FILTER_CARDS_ID,
			WILOKE_FILTER_CARDS_SOURCE_URL . 'style.css',
			[],
			WILOKE_FILTER_CARDS_VERSION
		);
	}
}
